//
// Created by main on 22-10-22.
//

#ifndef FUGG_SKILLPROPERTY_H
#define FUGG_SKILLPROPERTY_H

#include "../core.h"

#include "SkillID.h"

namespace flyff {
    struct __attribute__((packed)) SkillProperty {
        union {
            DEFINE_MEMBER(128, const String, name);
            DEFINE_MEMBER(140, const String, icon);
            DEFINE_MEMBER(152, const String, description);

            DEFINE_MEMBER(216, const int, required_level);
            DEFINE_MEMBER(224, const int, level);
            DEFINE_MEMBER(288, const SkillID, id);

            const MinimumSize<332> _size;
        };
    };
};

#endif //FUGG_SKILLPROPERTY_H
